"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCSSAnimation = exports.knownCubicBezierPoints = void 0;
const types_1 = require("./types");
exports.knownCubicBezierPoints = {
    [types_1.CSSDefinedCubicBezierName.ease]: [0.25, 0.1, 0.25, 1],
    [types_1.CSSDefinedCubicBezierName.easeIn]: [0.42, 0, 1, 1],
    [types_1.CSSDefinedCubicBezierName.easeOut]: [0, 0, 0.58, 1],
    [types_1.CSSDefinedCubicBezierName.easeInOut]: [0.42, 0, 0.58, 1],
};
exports.defaultCSSAnimation = {
    name: 'none',
    duration: 0,
    timingFunction: {
        type: types_1.CSSTimingFunctionType.cubicBezier,
        points: [0.25, 0.1, 0.25, 1],
    },
    delay: 0,
    iterationCount: 1,
    direction: types_1.CSSAnimationDirection.normal,
    fillMode: types_1.CSSAnimationFillMode.none,
    playState: types_1.CSSAnimationPlayState.running,
};