"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDirection = void 0;
const types_1 = require("./types");
exports.getDirection = (input) => {
    switch (input) {
        case types_1.CSSAnimationDirection.alternate:
            return types_1.CSSAnimationDirection.alternate;
        case types_1.CSSAnimationDirection.alternateReverse:
            return types_1.CSSAnimationDirection.alternateReverse;
        case types_1.CSSAnimationDirection.normal:
            return types_1.CSSAnimationDirection.normal;
        case types_1.CSSAnimationDirection.reverse:
            return types_1.CSSAnimationDirection.reverse;
        default:
            throw new Error(`Invalid <direction>: ${input}`);
    }
};