"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFillMode = void 0;
const types_1 = require("./types");
exports.getFillMode = (input) => {
    switch (input) {
        case types_1.CSSAnimationFillMode.none:
            return types_1.CSSAnimationFillMode.none;
        case types_1.CSSAnimationFillMode.backwards:
            return types_1.CSSAnimationFillMode.backwards;
        case types_1.CSSAnimationFillMode.both:
            return types_1.CSSAnimationFillMode.both;
        case types_1.CSSAnimationFillMode.forwards:
            return types_1.CSSAnimationFillMode.forwards;
        default:
            throw new Error(`Invalid <fill-mode>: ${input}`);
    }
};