"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStepPosition = void 0;
const types_1 = require("./types");
exports.getStepPosition = (input) => {
    switch (input) {
        case 'jump-start':
            return types_1.CSSStepPosition.jumpStart;
        case 'jump-end':
            return types_1.CSSStepPosition.jumpEnd;
        case 'jump-none':
            return types_1.CSSStepPosition.jumpNone;
        case 'jump-both':
            return types_1.CSSStepPosition.jumpBoth;
        default:
    }
    throw new Error(`Invalid <step-position>: ${input}`);
};