"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CSSStepPosition = exports.CSSDefinedStepName = exports.CSSDefinedCubicBezierName = exports.CSSTimingFunctionType = exports.CSSAnimationPlayState = exports.CSSAnimationFillMode = exports.CSSAnimationDirection = void 0;
var CSSAnimationDirection;
(function (CSSAnimationDirection) {
    CSSAnimationDirection["normal"] = "normal";
    CSSAnimationDirection["reverse"] = "reverse";
    CSSAnimationDirection["alternate"] = "alternate";
    CSSAnimationDirection["alternateReverse"] = "alternate-reverse";
})(CSSAnimationDirection = exports.CSSAnimationDirection || (exports.CSSAnimationDirection = {}));
var CSSAnimationFillMode;
(function (CSSAnimationFillMode) {
    CSSAnimationFillMode["none"] = "none";
    CSSAnimationFillMode["forwards"] = "forwards";
    CSSAnimationFillMode["backwards"] = "backwards";
    CSSAnimationFillMode["both"] = "both";
})(CSSAnimationFillMode = exports.CSSAnimationFillMode || (exports.CSSAnimationFillMode = {}));
var CSSAnimationPlayState;
(function (CSSAnimationPlayState) {
    CSSAnimationPlayState["running"] = "running";
    CSSAnimationPlayState["paused"] = "paused";
})(CSSAnimationPlayState = exports.CSSAnimationPlayState || (exports.CSSAnimationPlayState = {}));
var CSSTimingFunctionType;
(function (CSSTimingFunctionType) {
    CSSTimingFunctionType["linear"] = "linear";
    CSSTimingFunctionType["cubicBezier"] = "cubicBezier";
    CSSTimingFunctionType["step"] = "step";
})(CSSTimingFunctionType = exports.CSSTimingFunctionType || (exports.CSSTimingFunctionType = {}));
var CSSDefinedCubicBezierName;
(function (CSSDefinedCubicBezierName) {
    CSSDefinedCubicBezierName["ease"] = "ease";
    CSSDefinedCubicBezierName["easeIn"] = "ease-in";
    CSSDefinedCubicBezierName["easeOut"] = "ease-out";
    CSSDefinedCubicBezierName["easeInOut"] = "ease-in-out";
})(CSSDefinedCubicBezierName = exports.CSSDefinedCubicBezierName || (exports.CSSDefinedCubicBezierName = {}));
var CSSDefinedStepName;
(function (CSSDefinedStepName) {
    CSSDefinedStepName["stepStart"] = "step-start";
    CSSDefinedStepName["stepEnd"] = "step-end";
})(CSSDefinedStepName = exports.CSSDefinedStepName || (exports.CSSDefinedStepName = {}));
var CSSStepPosition;
(function (CSSStepPosition) {
    CSSStepPosition["jumpStart"] = "jump-start";
    CSSStepPosition["jumpEnd"] = "jump-end";
    CSSStepPosition["start"] = "jump-start";
    CSSStepPosition["end"] = "jump-end";
    CSSStepPosition["jumpNone"] = "jump-none";
    CSSStepPosition["jumpBoth"] = "jump-both";
})(CSSStepPosition = exports.CSSStepPosition || (exports.CSSStepPosition = {}));