"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minify = exports.removeSpaces = void 0;
exports.removeSpaces = ({ raws }) => {
    if (raws.before) {
        raws.before = raws.before.trim();
    }
    if (raws.after) {
        raws.after = raws.after.trim();
    }
    if (raws.between) {
        raws.between = raws.between.trim();
    }
    if (raws.afterName) {
        raws.afterName = ' ';
    }
    if (raws.left) {
        raws.left = raws.left.trim();
    }
    if (raws.right) {
        raws.right = raws.right.trim();
    }
    if (raws.important) {
        raws.important = raws.important.trim();
    }
    if (raws.semicolon) {
        raws.semicolon = false;
    }
    if (raws.value) {
        raws.value.raw = raws.value.value;
    }
};
exports.minify = (root) => {
    root.walkComments((comment) => comment.remove());
    exports.removeSpaces(root);
    root.walk(exports.removeSpaces);
};